# Core
db:
  redis:
    emulate: true
    namespace: EG

plugins:
  express-gateway-jwt-auth:
<<<<<<< HEAD
    package: './express-gateway-jwt-auth/manifest.js'
=======
    package: 'express-gateway-jwt-auth/manifest.js'
>>>>>>> 61d59c817604e4e35a5cf43514db1bc326887067
  # express-gateway-plugin-example:
  #   param1: 'param from system.config' 


crypto:
  cipherKey: sensitiveKey
  algorithm: aes256
  saltRounds: 10

# OAuth2 Settings
session:
  secret: keyboard cat
  resave: false
  saveUninitialized: false
accessTokens:
  timeToExpiry: 7200000
refreshTokens:
  timeToExpiry: 7200000
authorizationCodes:
  timeToExpiry: 300000
